## org.apache.batik.ext.awt.image.spi
Class ImageWriterParams

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.ImageWriterParams

    public class ImageWriterParams

extends java.lang.Object

Parameters for the encoder which is accessed through the ImageWriter interface.

Constructor Summary
`ImageWriterParams()` Default constructor.

Method Summary
`java.lang.String` `getCompressionMethod()`
`java.lang.Boolean` `getJPEGForceBaseline()`
`java.lang.Float` `getJPEGQuality()`
`java.lang.Integer` `getResolution()`
`void` `setCompressionMethod(java.lang.String method)` Set the compression method that shall be used to encode the image.
`void` `setJPEGQuality(float quality, boolean forceBaseline)` Sets the quality setting for encoding JPEG images.
`void` `setResolution(int dpi)` Sets the target resolution of the bitmap image to be written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageWriterParams

    public ImageWriterParams()

  Default constructor.

Method Detail

### getResolution

    public java.lang.Integer getResolution()

  Returns:
    the image resolution in dpi, or null if undefined

### getJPEGQuality

    public java.lang.Float getJPEGQuality()

  Returns:
    the quality value for encoding a JPEG image (0.0-1.0), or null if undefined

### getJPEGForceBaseline

    public java.lang.Boolean getJPEGForceBaseline()

  Returns:
    true if the baseline quantization table is forced, or null if undefined.

### getCompressionMethod

    public java.lang.String getCompressionMethod()

  Returns:
    the compression method for encoding the image

### setResolution

    public void setResolution(int dpi)

  Sets the target resolution of the bitmap image to be written.

  Parameters:
    `dpi` - the resolution in dpi

### setJPEGQuality

    public void setJPEGQuality(float quality,
                               boolean forceBaseline)

  Sets the quality setting for encoding JPEG images.

  Parameters:
    `quality` - the quality setting (0.0-1.0)
    `forceBaseline` - force baseline quantization table

### setCompressionMethod

    public void setCompressionMethod(java.lang.String method)

  Set the compression method that shall be used to encode the image.

  Parameters:
    `method` - the compression method

Copyright © 2008 Apache Software Foundation. All Rights Reserved.